package com.example.autorization.ui.fragments.signup

import androidx.lifecycle.LiveData
import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel
import java.util.stream.Stream
import kotlin.math.log

class SignUpViewModel:ViewModel() {
    private var _signUpState: MutableLiveData<SignUpState> = MutableLiveData(SignUpState())
    val signUpState : LiveData<SignUpState> = _signUpState


    fun setLogin(login:String) {
        _signUpState.postValue(_signUpState.value?.copy(login = login))
    }
    fun changeTerms(isAccept:Boolean) {
        _signUpState.postValue(_signUpState.value?.copy(acceptTerms = isAccept))
    }
}